
µWeb - Feature #632

Break uWeb away from underdark package

2012-02-22 15:35 - Elmer de Looff

Status: Closed Start date: 2012-02-22

Priority: Normal Due date: 2012-04-30

Assignee: Elmer de Looff % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: µWeb alpha release Spent time: 9.00 hours

Description

After separating the uWeb repository from the main underdark repos, the next step is changing all inter-package imports to not

depend on the underdark infrastructure for the uWeb modules.

After that, work should be done to remove dependencies on proprietary underdark library modules, either by moving small parts into

uWeb, or open-sourcing the necessary Underdark modules/packages.

Associated revisions

Revision 190:041a573d8097 - 2012-02-22 16:46 - Elmer de Looff

Updated uWeb modules to import other modules from the package using proper package imports independent from the underdark package. This is

relate to issue #632.

Revision 220:141925557233 - 2012-05-09 18:30 - Elmer de Looff

Removed pysession dependency as it's unused, and moved to using App framework's ParseConfig in an effort to reduce underdark dependencies.

This refs #632.

Revision 3613:85abd1ad583e - 2012-05-09 18:57 - Elmer de Looff

Moved ParseConfig into the app module to reduce external dependencies. This refs #632.

Revision 3614:8c8cc58c058d - 2012-05-09 18:57 - Elmer de Looff

Removed  package in favor of python-lockfile Debian package. This removes a significant local dependency. Added it to the install_deps.sh script.

This refs #632.

Revision 3618:7421d8e92039 - 2012-05-11 17:22 - Elmer de Looff

Moved 'daemon' and 'logging' packages into the 'app' package. This references #632.

Revision 225:224e4aeca667 - 2012-05-11 18:30 - Elmer de Looff

Added import magic to import the external underdark package preferably to the provided one. Also imported logging from the correct location. Logging

import removed from uweb_info example, and its footer fixed. This refs #632.

Revision 226:c9a5da01aa16 - 2012-05-11 18:31 - Elmer de Looff

Added a minimal version of the underdark package to the uWeb ext_lib directory. This resolves #632.

History

#1 - 2012-02-22 17:42 - Elmer de Looff

- Status changed from New to In Progress

- % Done changed from 0 to 30

Updated uWeb package to resolve uWeb imports within the package.
#2 - 2012-03-22 16:02 - Jan Klopper

can we set a deadline for this?

#3 - 2012-04-10 14:39 - Jan Klopper

- Target version set to µWeb alpha release

#4 - 2012-04-10 14:48 - Jan Klopper

- Due date set to 2012-04-30

#5 - 2012-05-11 18:33 - Elmer de Looff

- Status changed from In Progress to Resolved

- % Done changed from 30 to 70

Applied in changeset c9a5da01aa16.

#6 - 2012-05-11 18:39 - Elmer de Looff

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

This has been fixed. A minimal underdark package has been added to the 'ext_lib' directory of µWeb. This will need only periodical updates, and

should be easy to test by removing 'underdark' from the path temporarily (either by renaming the package, or just testing µWeb on a clean VM).

#7 - 2012-05-12 12:35 - Jan Klopper

Hah, awesome work \o/
